<script setup>
	import { useRoute } from 'vue-router';
	import { onBeforeMount,ref } from 'vue'
	import axios from 'axios'

	const API_ALL_AMIIBO = 'https://www.amiiboapi.com/api/amiibo/'

	const route = useRoute()
	const currentAmiibo = ref(null)

	onBeforeMount(async ()=>{

		const request = await axios.get(API_ALL_AMIIBO+'/?tail='+route.params.amiiboId)
		
		if (request.status === 200) {
			currentAmiibo.value = request.data.amiibo[0]
			console.log(currentAmiibo.value)
		}
	})
</script>

<template>
	<div id="page-wrapper">
		<section id="main">
			<div class="container">
				<div v-if="currentAmiibo === null">Chargement...</div>
				<div v-else class="row">
					<div class="col-4 col-12-medium">
						<section class="box">
							<header>
								<h3>Infos</h3>
							</header>
							<div>
								AmiiboSeries: {{ currentAmiibo.amiiboSeries }}<br>
								Character: {{ currentAmiibo.character }}<br>
								GameSeries: {{ currentAmiibo.gameSeries }}<br>
								Type: {{ currentAmiibo.type }}
							</div>
						</section>
						<section class="box">
							<header>
								<h3>Dates sorties</h3>
							</header>
							<ul class="divided">
								<li v-for="(item, index) in currentAmiibo.release" :key="item.index">
									{{ index }}: {{ item }}
								</li>
							</ul>
						</section>
					</div>
					<div class="col-8 col-12-medium imp-medium">
							<article class="box post">
								<img style="margin:auto;display:block;" :src="currentAmiibo.image" alt="" />
								<header>
									<h2>{{ currentAmiibo.name }}</h2>
									<p>{{ currentAmiibo.type }}</p>
								</header>
							</article>
					</div>
				</div>
			</div>
		</section>
	</div>
</template>

<style>

</style>
